------------------------------------------------------------------------------------
--Name:  	yuanshen4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-03-11
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(126, 122)
CppScriptMgr:SetViewScale(150)
local Effect_1 = CppScriptMgr:AddEffect("ty_ymz", 134, 134, 33, 1, 1, 1)
Effect_1:Scale(3, 3, 3)
local monster_0 = CppScriptMgr:AddPlayer(198, 128, 144, "Devourer", 0, 0)
monster_0:SetDir(3)
monster_0:SetAction(331)
monster_0:SetFrameInterval(1000000)
monster_0:SetZoomPercent(80)
local monster_1 = CppScriptMgr:AddPlayer(175, 135, 139, "Jiro", 0, 0)
monster_1:SetDir(3)
monster_1:SetAction(331)
monster_1:SetFrameInterval(10000000)
monster_1:SetZoomPercent(180)
local monster_2 = CppScriptMgr:AddPlayer(146, 140, 132, "IronFist", 0, 0)
monster_2:SetDir(3)
monster_2:SetAction(331)
monster_2:SetFrameInterval(10000000)
monster_2:SetZoomPercent(150)
local monster_3 = CppScriptMgr:AddPlayer(142, 145, 127, "Gongsun", 0, 0)
monster_3:SetDir(3)
monster_3:SetAction(331)
monster_3:SetFrameInterval(10000000)
CppScriptMgr:WaitMilSec(1030)
CppScriptMgr:NpcCallOut("I finally achieved the destructive power!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "LichKing", 250, 655, false)
CppScriptMgr:WaitMilSec(1700)
CppScriptMgr:NpcCallOut("Come back to life, my fighters!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "LichKing", 250, 655, false)
CppScriptMgr:WaitMilSec(270)
local Effect_2 = CppScriptMgr:AddEffect("DragonSkin1_CX", 134, 134, 33, 1, 1, 1)
Effect_2:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(770)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(230)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 128, 144, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e233", 135, 139, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e233", 140, 132, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("zf2-e233", 145, 127, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(930)
monster_0:SetFrameInterval(33)
monster_1:SetFrameInterval(33)
monster_2:SetFrameInterval(33)
monster_3:SetFrameInterval(33)
CppScriptMgr:WaitMilSec(2030)
monster_0:Say("My master!", 1500)
monster_1:Say("My master!", 1500)
monster_2:Say("My master!", 1500)
monster_3:Say("My master!", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ShakeScrEffect(5)
local Effect_7 = CppScriptMgr:AddEffect("DragonSkin1_BQ", 136, 136, 33, 1, 1, 1)
Effect_7:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1490)
CppScriptMgr:NpcCallOut("My great cause will finally succeed!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "LichKing", 250, 655, false)
CppScriptMgr:WaitMilSec(1250)
monster_0:SetHide(1)
monster_1:SetHide(1)
monster_2:SetHide(1)
monster_3:SetHide(1)
CppScriptMgr:WaitMilSec(110)
CppScriptMgr:NpcCallOut("I`m gonna use the power to reshape the world!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "LichKing", 250, 655, false)
CppScriptMgr:ShakeScrEffect(3)
CppScriptMgr:WaitMilSec(110)
monster_0:Say("Hail master!", 1500)
monster_1:Say("Hail master!", 1500)
monster_2:Say("Hail master!", 1500)
monster_3:Say("Hail master!", 1500)
CppScriptMgr:WaitMilSec(2710)
CppScriptMgr:NpcCallOut("Hahahahahaha!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "LichKing", 250, 655, false)
CppScriptMgr:WaitMilSec(790)